@echo on
@REM ********************************************************************************
@REM
@REM  NAME          : Remove_PostgreSQL_Total.CMD
@REM
@REM  DESCRIPTION   : Entfernt vollstndig alle Verzeichnisse und Eintrge die durch
@REM                  die De-Installation von PostgreSQL nicht entfernt wurden.
@REM
@REM                  Diese Datei darf erst nach der De-Installtion von PostgreSQL
@REM                  gestartet werden. Sie mu von dem User ausgefhrt werden, unter
@REM                  dem die Installation von PostgreSQL erfolgte. Normalerweise ist
@REM                  das der Administrator unter Windows.
@REM
@REM                  Die Verzeichnisse beziehen sich auf eine PostgreSQL-Standard-
@REM                  Installation!
@REM
@REM ********************************************************************************
 
@REM    -------------------------------------------------------------
@REM    Benutzerkonto, unter dem der PostgreSQL-Datenbankserver luft
@REM    -------------------------------------------------------------
 
        @set WIN_USER=postgres
 
@REM ================================================================================
 
        NET USER %WIN_USER% /DELETE
 
        rmdir /S /Q "%SystemDrive%\Dokumente und Einstellungen\%USERNAME%\Anwendungsdaten\PostgreSQL"
        rmdir /S /Q "%SystemDrive%\Dokumente und Einstellungen\%WIN_USER%"
        rmdir /S /Q "%ProgramFiles%\PostgreSQL"